
# 💳 Credit Card Info Generator

This is a simple, yet powerful Python 🐍 package for generating realistic dummy credit card data. It's a handy tool for developers who need to test payment systems, verify eCommerce applications, or any situation where real credit card data is not necessary or desirable.


Check out our [Credit Card Generator](https://creditcardgenerator.app/) for more information!

## 🚀 Installation

Install the package with pip using the following command:

```shell
pip install credit_card_info_generator
```

## ⚙️ Usage

```python
from credit_card_info_generator import generate_credit_card

# Generate a Visa card
card = generate_credit_card('Visa')

# Print the card details
print(card)
```

## 🏦 Supported Card Types

The package currently supports the generation of the following card types:

- American Express
- Bankcard
- China T-Union
- China UnionPay
- Diners Club enRoute
- Diners Club International
- Diners Club United States & Canada
- Discover Card
- UkrCard
- RuPay
- InterPayment
- InstaPayment
- JCB
- Mastercard
- Laser
- Maestro (UK)
- Maestro
- Dankort
- Mir
- BORICA
- NPS Pridnestrovie
- Solo
- Switch
- Troy
- Visa
- Visa Electron
- UATP
- Verve
- LankaPay
- UzCard
- Humo
- GPN

## 👥 Contributing

Pull requests are welcome! 👍 For major changes, please open an issue first to discuss what you would like to change.

## 📜 License

This project is licensed under the MIT License.

